#pragma once
#include <unordered_map>
#include "../base/interface.hpp"

namespace lsp::provider::text_document
{
    class DidOpen : public INotificationProvider
    {
    public:
        DidOpen() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
